<?php
//settaggio errori e warning da utilizzare durante l'esecuzione
ini_set('error_reporting', E_ALL & ~E_DEPRECATED & ~E_STRICT);
ini_set('display_errors', 0);                       // disabilita la visualizzazione degli errori a schermo.
ini_set('log_errors', 0);                           //disabilita errori di log


function dipendente_fun_elenco_full($db_host, $db_user, $db_pswd, $db_name)
{
/******************************************/
/* Apertura della connessione al database */
/******************************************/	
$connessione = mysqli_connect($db_host, $db_user, $db_pswd, $db_name)
	       or die ("<br>Connessione non riuscita " . mysqli_connect_error() . " " . mysqli_connect_errno());    		   
//echo "<br><b>Apertura connessione DB OK!</b><br>";
			
/*************************************************/
/* Fase 1) Preparazione dell'istruzione di query */
/*************************************************/
$query = "SELECT COUNT(*) AS Totale FROM Dipendente;";
//echo "<br><b>Fase 1: Preparazione istruzione SQL  = $query </b><br>";

/***********************************************/
/* Fase 2) Eecuzione della query               */
/***********************************************/
$risultato = mysqli_query($connessione, $query)
          or die ("<br>Query fallita " . mysqli_error($connessione) . " ". mysqli_errno($connessione));
//echo "<br><b>Fase 2: SELECT COUNT Dipendente OK!</b><br>";

/***********************************************/
/* Recupero il numero di dipendenti in tabella */
/***********************************************/
$riga = mysqli_fetch_array($risultato, MYSQLI_BOTH);
$numrec = $riga['Totale'];
//echo "<br><b>Numero Dipendenti presenti = $numrec</b><br>";


//<input type='submit' value='Inserisci record' > 
			  
// Tabella che conterrà il button per inserire un record nel file
echo "
    <table align='center' cellpadding='0' cellspacing='0' width='650'>
        <tr height='30' >
           <td align='center'>			
		      <form name='form' action='dipendente_desktop.php' method='POST' target='_self' >
			  
			   <input type='hidden' name='scelta' value='INSERT' >
			  
			   <button name='insert' type='submit' style='background-color:wheat' >
                 <img src='images/insert.png' alt='Inserisci dati' title='Inserisci dati' align='middle' >
                 <b>Inserisci nuovo record</b>
              </button>				  
                
			  </form>
		   </td>
        </tr>
	</table>
    ";
	
// Intestazione della tabella che conterrà lista dei dipendenti
echo "
    <table align='center' border='1' cellpadding='2' cellspacing='1' bgcolor='wheat' width='650'>
      <tr height='30' bgcolor ='firebrick' >
          <td colspan='6' ><div align='center'><font face= 'Verdana' size = '3' color='white' ><b>ANAGRAFICA DIPENDENTI</b></div></td>
     </tr>
    ";
		
//check su numero record
if($numrec > 0)
   {
   /*************************************************/
   /* Fase 1) Preparazione dell'istruzione di query */
   /*************************************************/
   $query = "SELECT * FROM Dipendente ORDER BY Codice;";
   //echo "<br><b>Fase 1: Preparazione istruzione SQL  = $query </b><br>";

   /***********************************************/
   /* Fase 2) Eecuzione della query               */
   /***********************************************/
   $risultato = mysqli_query($connessione, $query)
          or die ("<br>Query fallita " . mysqli_error($connessione) . " ". mysqli_errno($connessione));
   //echo "<br><b>Fase 2: SELECT COUNT Dipendente OK!</b><br>";
	   
   //Prima riga della tabella che conterrà lista dei dipendenti
   echo "
      <tr height='30' >
        <td align='center' width='10%'><font face= 'Verdana' size = '2'><b>Codice</b></font></td>		
        <td align='center' width='15%'><font face= 'Verdana' size = '2'><b>Cognome</b></font></td>
         <td align='center' width='15%'><font face= 'Verdana' size = '2'><b>Nome</b></font></td>			
        <td align='center' width='20%'><font face= 'Verdana' size = '2'><b>VISUALIZZA</b></font></td>
        <td align='center' width='20%'><font face= 'Verdana' size = '2'><b>AGGIORNA</b></font></td>
        <td align='center' width='20%'><font face= 'Verdana' size = '2'><b>CANCELLA</b></font></td>
     </tr>
       ";
	   
   /**********************************************************/
   /* Fase 4) Formattazione dei dati estratti dal result set */
   /**********************************************************/
   //echo "<br><b>Fase 4: Formattazione dei dati estratti dal result set</b><br>";
   while ($riga = mysqli_fetch_array($risultato, MYSQLI_BOTH))
      {  
      // Estraggo tutti i campi presenti nella riga che è relativa a ciascun dipendente
      $codice=$riga[0];
      //echo "Codice = " . $codice . "<BR>";
      $cognome=$riga[1];
      //echo "Cognome = " . $cognome . "<BR>";
      $nome=$riga[2];
      //echo "Nome = " . $nome . "<BR>";
      $stipendio=$riga[3];
      //echo "Stipendio = " . $stipendio . "<BR>";
      $livello=$riga[4];
      //echo "Livello = " . $livello . "<BR>";
   
     echo "
         <tr height='30' bgcolor='white' >
           <td align='center'><font face= 'Verdana' size = '2'><b>$codice</b></font></td>		
           <td align='center'><font face= 'Verdana' size = '2'><b>$cognome</b></font></td>
            <td align='center'><font face= 'Verdana' size = '2'><b>$nome</b></font></td>			
           <td align='center'>
		      <form name='form' action='dipendente_desktop.php' method='POST' target='_self' >
			  
                   <input type='hidden' name='codice' value='$codice'>
                   <input type='hidden' name='cognome' value='$cognome'>
                   <input type='hidden' name='nome' value='$nome'>
                   <input type='hidden' name='stipendio' value='$stipendio'>
                   <input type='hidden' name='livello' value='$livello'>
				   
				   <input type='hidden' name='scelta' value='VIEW' >
			  
				  <input name='view' type='image' align='middle' src='images/view.jpg' title='Visualizza dati' >
               </form>			
		   </td>
           <td align='center'>
		      <form name='form' action='dipendente_desktop.php' method='POST' target='_self' > 

                   <input type='hidden' name='codice' value='$codice'>
                   <input type='hidden' name='cognome' value='$cognome'>
                   <input type='hidden' name='nome' value='$nome'>
                   <input type='hidden' name='stipendio' value='$stipendio'>
                   <input type='hidden' name='livello' value='$livello'>
				   
				   <input type='hidden' name='scelta' value='UPDATE' >
				  
				  <input name='update' type='image' align='middle' src='images/update.jpg' title='Aggiorna dati' >
               </form>	
		   </td>
           <td align='center'>
		      <form name='form' action='dipendente_desktop.php' method='POST' target='_self' > 
			  
                   <input type='hidden' name='codice' value='$codice'>
				   
				   <input type='hidden' name='scelta' value='DELETE' >
				  
				  <input name='delete' type='image' align='middle' src='images/delete.jpg' title='Cancella dati' >
               </form>	
		   </td>
        </tr>	   
        ";	
       }
   //chiudo la tabella
   echo "</table>";
    }
 else
    {
    echo "<tr height='30' bgcolor='wheat' >
           <td align='center' colspan='6' ><font face= 'Verdana' size = '3'><b>La tabella \"Dipendente\" non contiene al momento alcun record!</b></font></td>	         
        </tr>				
         ";
		 
     //chiudo la tabella
     echo "</table>"; 
    }

//Tabella di spacing
echo "
	 <table align='center' cellpadding='0' cellspacing='0' width='650'>
	    <tr>
	       <td height='20' align='center' >
           </td>
	    </tr>
	 </table>	
     ";

//Tabella che contiene il button per ricaricare la pagina
echo "
	 <table align='center' cellpadding='0' cellspacing='0' width='650'>
	    <tr>
	        <td height='20' align='center' >
			   <form name='form' action='dipendente_desktop.php' method='POST' target='_self' >
                    <input type='submit' value='Ricarica Pagina' >
               </form>
           </td>
	    </tr>
	 </table>	
     ";
		 
/****************************************************/
/* Chiusura della connessione                       */
/****************************************************/
mysqli_close($connessione)
      or die ("<br>Chiusura connessione fallita " . mysqli_error($connessione) . " ". mysqli_errno($connessione));
//echo "<br><br><b>Chiusura connessione DB OK!</font></b><br>";
	 
}
   
?>
